﻿using SewingDressesDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SewingDressesContracts.BindingModels
{
    public class ShopBindingModel : IShopModel
    {
        public int Id { get; set; }
        public string ShopName { get; set; }
        public string Adress { get; set; } 
        public DateTime DateOpen { get; set; }
        public int MaxCount { get; set; }
        public Dictionary<int, (IDressModel, int)> ShopDresses { get; set; } = new();
    }
}
