﻿using SewingDressesContracts.BindingModels;
using SewingDressesContracts.SearchModels;
using SewingDressesContracts.ViewModels;
using SewingDressesDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SewingDressesContracts.BusinessLogicsContracts
{
    public interface IShopLogic
    {
        List<ShopViewModel>? ReadList(ShopSearchModel? model);
        ShopViewModel? ReadElement(ShopSearchModel? model);
        bool Create (ShopBindingModel? model);
        bool Update (ShopBindingModel? model);
        bool Delete (ShopBindingModel? model);
        bool MakeSupply(ShopSearchModel model, IDressModel dress, int count);
        bool MakeSell(IDressModel model, int count);
    }
}
