﻿using SewingDressesDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SewingDressesContracts.ViewModels
{
    public class ShopViewModel : IShopModel
    {
        public int Id { get; set; }
        [DisplayName("Название магазина")]
        public string ShopName { get; set; } = string.Empty;
        [DisplayName("Адрес")]
        public string Adress { get; set; } = string.Empty;
        [DisplayName("Дата открытия")]
        public DateTime DateOpen { get; set; }
        [DisplayName("Вмещаемость")]
        public int MaxCount { get; set; }
        public Dictionary<int, (IDressModel, int)> ShopDresses { get; set; } = new();
    }
}
