﻿using System.ComponentModel.DataAnnotations;

namespace SewingDressesDatabaseImplement.Models
{
	public class ShopDress
	{
		public int Id { get; set; }
		[Required]
		public int DressId { get; set; }
		[Required]
		public int ShopId { get; set; }
		[Required]
		public int Count { get; set; }
		public virtual Shop Shop { get; set; } = new();
		public virtual Dress Dress { get; set; } = new();
	}
}
